=== debian/changelog ===
pdf2djvu (0.7.17-4) unstable; urgency=low

  * Bumped standards to 3.9.5 (no changes needed).
  * deb/copyright:
    + changed e-mail address of myself.
    + expanded copyrights for deb/* to 2014.
  * deb/rules: removed Vim status line.
  * deb/watch: added pgpsigurlmangle (plus deb/upstream-signing-key.pgp).
  * Removed deb/install (unneccesary).

 -- Daniel Stender <debian@danielstender.com>  Thu, 03 Jul 2014 17:06:40 +0200

pdf2djvu (0.7.17-3) unstable; urgency=low

  [ Daniel Stender ]
  * changed maintainer e-mail address.

  [ Luca Bruno ]
  * Fix auto clean target (Closes: #724228).

 -- Daniel Stender <debian@danielstender.com>  Mon, 04 Nov 2013 17:21:36 +0100

pdf2djvu (0.7.17-2) unstable; urgency=low

  * deb/clean:
    + added removal of tests/*.pyc (Closes: #712089).
  * deb/control:
    + bumped b-p on debhelper to 7.4.10 (which enabled --parallel).
  * deb/rules:
    + removed BINDNOW from extra hardening when build on mips or mipsel
      (Closes: #712092).
    + added check of DEB_BUILD_OPTIONS for auto_test override (Closes: #712090).

 -- Daniel Stender <daniel@danielstender.com>  Fri, 14 Jun 2013 09:44:36 +0200

pdf2djvu (0.7.17-1) unstable; urgency=low

  [ Daniel Stender ]
  * New upstream release.
  * debian/control:
    + bumped debhelper dep to 7.0.50.
    + bumped standards to 3.9.4 (no changes needed).
    + changed VCS fields.
    + added b-p on autotools-dev (to prevent lintian complaint
      on outdated-autotools-helper-file tools/config.guess 2012-02-10).
  * debian/copyright:
    + updated Format URI.
    + extended copyrights to 2013.
    + fixed typos.
  * debian/rules:
    + added DH_VERBOSE export line.
    + replaced build targets with debhelper sequencer.
    + added add-on autotools-dev to dh invocation.

  [ Luca Bruno ]
  * Enable parallel build, except for tests (Closes: #668774)

 -- Daniel Stender <daniel@danielstender.com>  Sat, 08 Jun 2013 17:32:59 +0200

pdf2djvu (0.7.16-1) unstable; urgency=low

  * Upload to unstable

 -- Luca Bruno <lucab@debian.org>  Mon, 06 May 2013 00:28:29 +0200

pdf2djvu (0.7.16-0~exp1) experimental; urgency=low

  * New upstream release

 -- Luca Bruno <lucab@debian.org>  Fri, 18 Jan 2013 14:27:52 +0100

pdf2djvu (0.7.13-0~exp1) experimental; urgency=low

  * New upstream release
    + Fix German translation (Closes: #675573)
    + Port to libpoppler25 API (Closes: #679891)
    + Testsuite now build-depends on python-nose

 -- Luca Bruno <lucab@debian.org>  Wed, 08 Aug 2012 22:38:12 +0200
