=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
#export DEB_BUILD_OPTIONS=nocheck

DEB_BUILD_ARCH := ($shell dpkg-architecture -qDEB_BUILD_ARCH)
ifeq ($(DEB_BUILD_ARCH),$(findstring $(DEB_BUILD_ARCH),mipsel mips))
export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-bindnow
else
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
endif

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

LDFLAGS += -Wl,--as-needed

%:
	dh $@ --with autotools_dev --parallel

override_dh_auto_clean:
	! [ -f config.status ] || dh_auto_clean

override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	$(MAKE) -j1 test
endif
