=== debian/watch ===
version=3
opts=\
pgpsigurlmangle=s|.*[?]name=(.*?)&.*|http://pdf2djvu.googlecode.com/files/$1.asc|,\
downloadurlmangle=s|.*[?]name=(.*?)&.*|http://pdf2djvu.googlecode.com/files/$1|,\
filenamemangle=s|[^/]+[?]name=(.*?)&.*|$1| \
http://code.google.com/p/pdf2djvu/downloads/detail[?]name=pdf2djvu_([0-9.]+).tar.gz&.*
