## pdf2djvu 0.7.19

=== debian/changelog ===
pdf2djvu (0.7.19-1ubuntu1) vivid; urgency=medium

  * Merge with Debian experimental, remaining change:
    - Disable one test that fails when Poppler is built with -Bsymbolic.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 13 Feb 2015 16:53:52 +0300

pdf2djvu (0.7.19-1) experimental; urgency=medium

  * New upstream release.
  * deb/copyright: updated.
  * DEP-8 tests: added allow-stderr restriction to control file
    (Closes: #776861).

 -- Daniel Stender <debian@danielstender.com>  Fri, 13 Feb 2015 13:29:38 +0100

pdf2djvu (0.7.18-1ubuntu2) vivid; urgency=medium

  * Allow stderr in autopkgtests to let them pass.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Mon, 02 Feb 2015 18:37:08 +0300

pdf2djvu (0.7.18-1ubuntu1) vivid; urgency=medium

  * Merge with Debian experimental, remaining change:
    - Disable one test that fails when Poppler is built with -Bsymbolic.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Mon, 02 Feb 2015 17:43:30 +0300

pdf2djvu (0.7.18-1) experimental; urgency=medium

  * New upstream release (Closes: #758262, #772616).
  * deb/control:
    + dropped Uploaders line (thanks, Luca!).
    + bumped standards to 3.9.6 (no changes needed).
    + updated Vcs-Browser.
  * deb/copyright: updated Source URI, expanded copyright spans.
  * deb/rules: dropped custom hardening options for Mips(el).
  * deb/watch: updated (Closes: #773449).
  * Added DEP-8 test suite.
  * Fixed upstream-signing-key, and pgpsigurlmangle in deb/watch.
  * wrap-and-sort -a -s.

 -- Daniel Stender <debian@danielstender.com>  Wed, 07 Jan 2015 00:36:11 +0100

pdf2djvu (0.7.17-4ubuntu3) vivid; urgency=medium

  * No-change rebuild for new poppler

 -- Iain Lane <iain@orangesquash.org.uk>  Wed, 21 Jan 2015 14:14:12 +0000

pdf2djvu (0.7.17-4ubuntu2) vivid; urgency=medium

  * No-change rebuild for new poppler

 -- Iain Lane <iain@orangesquash.org.uk>  Wed, 12 Nov 2014 15:46:40 +0000

pdf2djvu (0.7.17-4ubuntu1) vivid; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Disable one test that is failing with Poppler 0.24+.

 -- Logan Rosen <logan@ubuntu.com>  Thu, 06 Nov 2014 01:51:49 -0500

pdf2djvu (0.7.17-3ubuntu3) utopic; urgency=medium

  * No change rebuild for poppler

 -- Iain Lane <iain@orangesquash.org.uk>  Mon, 26 May 2014 09:31:44 +0100

pdf2djvu (0.7.17-3ubuntu2) trusty; urgency=medium

  * Rebuild for the new poppler soname

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 22 Jan 2014 22:52:34 +0100

pdf2djvu (0.7.17-3ubuntu1) trusty; urgency=low

  * Disable one test that is failing with Poppler 0.24.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Thu, 26 Dec 2013 20:55:47 +0400
