=== debian/control ===
Source: pdf2djvu
Section: text
Priority: optional
Maintainer: Daniel Stender <debian@danielstender.com>
Build-Depends:
 autotools-dev,
 debhelper (>= 7.4.10~),
 djvulibre-bin (>= 3.5.23-6),
 dpkg-dev (>= 1.16.1),
 libdjvulibre-dev (>= 3.5.23-6),
 libgraphicsmagick++1-dev,
 libpoppler-private-dev (>= 0.7.3),
 libpstreams-dev,
 libxml2-utils,
 libxslt1-dev,
 pkg-config,
 python-nose
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/collab-maint/pdf2djvu.git
Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/pdf2djvu.git
Homepage: http://jwilk.net/software/pdf2djvu
XS-Testsuite: autopkgtest

Package: pdf2djvu
Architecture: any
Depends:
 djvulibre-bin (>= 3.5.20-5~),
 ${misc:Depends},
 ${shlibs:Depends}
Suggests:
 poppler-data
Breaks:
 libdjvulibre21 (<< 3.5.20-5~)
Description: PDF to DjVu converter
 pdf2djvu creates DjVu files from PDF files. It's able to extract:
  - graphics,
  - text layer,
  - hyperlinks,
  - document outline (bookmarks),
  - metadata (including XMP metadata).
