=== debian/tests/control ===
Tests: pdf2djvu
Depends: pdf2djvu, python-nose
Restrictions: allow-stderr
