## pdf2djvu 0.7.21

=== debian/changelog ===
pdf2djvu (0.7.21-2ubuntu2) wily; urgency=medium

  * No-change rebuild against libgraphicsmagick++11

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 31 Aug 2015 19:15:12 +0000

pdf2djvu (0.7.21-2ubuntu1) wily; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - Disable one test that fails when Poppler is built with -Bsymbolic.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 20 Aug 2015 21:56:27 +0000

pdf2djvu (0.7.21-2) unstable; urgency=medium

  * Dropped right click PDF context menu feature (Closes: #787247).

 -- Daniel Stender <debian@danielstender.com>  Mon, 08 Jun 2015 14:30:05 +0200

pdf2djvu (0.7.21-1) unstable; urgency=medium

  * New upstream release (Closes: #784889).

 -- Daniel Stender <debian@danielstender.com>  Mon, 11 May 2015 13:23:09 +0200

pdf2djvu (0.7.20-1) unstable; urgency=medium

  * New upstream release.
  * deb/control: added build-dep on python-pil.
  * deb/tests: run nosetest directly, dropped allow-stderr, added dep
    on python-pil.
  * deb/gbp.conf: updated config section header for gbp 0.6.26.

 -- Daniel Stender <debian@danielstender.com>  Tue, 05 May 2015 19:17:11 +0200

pdf2djvu (0.7.19-2) unstable; urgency=medium

  * Upload to unstable.
  * deb/control: updated deprecated XS-Testsuite element.
  * Added right click functionality (added deb/pdf2djvu.desktop,
    deb/pdf2djvu.xpm, deb/pdf2djvu_wrapper, deb/install).

 -- Daniel Stender <debian@danielstender.com>  Sun, 26 Apr 2015 15:49:32 +0200

pdf2djvu (0.7.19-1ubuntu3) wily; urgency=medium

  * No-change rebuild against libgraphicsmagick++3v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 10 Aug 2015 19:32:55 +0000

pdf2djvu (0.7.19-1ubuntu2) wily; urgency=medium

  * No-change rebuild against new poppler

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 23 Jun 2015 12:29:36 +0100
