=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: pdf2djvu
 Section: text
 Priority: optional
-Maintainer: Daniel Stender <debian@danielstender.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Daniel Stender <debian@danielstender.com>
 Build-Depends:
  autotools-dev,
  debhelper (>= 7.4.10~),
@@ -14,12 +15,13 @@
  libxml2-utils,
  libxslt1-dev,
  pkg-config,
- python-nose
+ python-nose,
+ python-pil
 Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/collab-maint/pdf2djvu.git
 Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/pdf2djvu.git
 Homepage: http://jwilk.net/software/pdf2djvu
-XS-Testsuite: autopkgtest
+Testsuite: autopkgtest
 
 Package: pdf2djvu
 Architecture: any
